Page MenuHomeFreeBSD

Add device_delete_children(9) manual page
ClosedPublic

Authored by asmodai on Dec 6 2018, 4:16 PM.

Details

Summary

Add a device_delete_children(9) manual page based on the comments in code.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

asmodai created this revision.Dec 6 2018, 4:16 PM
imp added inline comments.Dec 6 2018, 7:25 PM
share/man/man9/device_delete_children.9
49 ↗(On Diff #51655)

Do we need to document the error codes?

yuripv added a subscriber: yuripv.Dec 8 2018, 9:04 PM
yuripv added inline comments.
share/man/man9/device_delete_children.9
36 ↗(On Diff #51655)

(here and below) I'm not a native speaker so could very wrong.. Shouldn't this read "child devices" instead?

41 ↗(On Diff #51655)

Add double quotes around device_t dev.

43 ↗(On Diff #51655)

It's usually written as the following even if there's only one function discussed.

The
.Fn device_delete_children
function ...
asmodai updated this revision to Diff 51954.Dec 13 2018, 3:14 PM

Address feedback from yuripv.

asmodai updated this revision to Diff 51955.Dec 13 2018, 3:27 PM

Fix forgotten mention of children

asmodai marked 3 inline comments as done.Dec 13 2018, 3:40 PM
asmodai added inline comments.
share/man/man9/device_delete_children.9
36 ↗(On Diff #51655)

You are correct. I did some checking on various English grammar fora and it seems to be a mistaken use of children, indeed. You talk about "deleting the children from a device", but "deleting the child devices".

asmodai marked an inline comment as done and an inline comment as not done.Dec 13 2018, 3:41 PM
asmodai updated this revision to Diff 51956.Dec 13 2018, 3:42 PM

Clarify return values.

asmodai marked 3 inline comments as done.Dec 13 2018, 3:44 PM
asmodai added inline comments.
share/man/man9/device_delete_children.9
49 ↗(On Diff #51655)

@imp Hopefully this should clarify the return values.

asmodai updated this revision to Diff 51957.Dec 13 2018, 3:47 PM
asmodai marked an inline comment as done.

Add Makefile entry back.

If this is acceptable, could someone commit it? I don't have commit rights anymore, so can't add it myself.

This revision was not accepted when it landed; it landed in state Needs Review.Jan 11 2019, 7:05 PM
Closed by commit rS342948: Add man page for device_delete_children. (authored by imp, committed by ). · Explain Why
This revision was automatically updated to reflect the committed changes.